org.apache.maven.profiles

## Interface MavenProfilesBuilder

All Known Implementing Classes:
  DefaultMavenProfilesBuilder

    public interface MavenProfilesBuilder

Version:
  $Id: MavenProfilesBuilder.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  jdcasey

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`ProfilesRoot` `buildProfiles(java.io.File basedir)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### buildProfiles

    ProfilesRoot buildProfiles(java.io.File basedir)
                               throws java.io.IOException,
                                      XmlPullParserException

Throws:
  `java.io.IOException`
  `XmlPullParserException`